/*
 * Copyright (C) 2005 NTT DATA Corporation
 * 
 */
package org.postgresforest.tool.util;

import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.postgresforest.tool.ForestToolPlugin;

/**
 * エラー・ログ出力クラス
 *
 * エラー・ログビューにエラーを出力する。
 */
public class ErrorLog {
	
	/**
	 * エラーログ記録処理
	 * 
	 * エラーメッセージをエラーログに記録する
	 * 
	 * @param message　出力メッセージ
	 * @param e Exceptionクラス
	 */
	public static void log(String message, Exception e) {
		ForestToolPlugin plugin = ForestToolPlugin.getDefault();
		
		IStatus status = new Status(IStatus.ERROR,
				plugin.getBundle().getSymbolicName(),
				0,
				message,
				e);
	
		plugin.getLog().log(status);
	}
}
